<html>

<head>
<title>Reporting Stations Summary</title>
<script language="JavaScript" src="ts_picker.js">
//Script by Denis Gritcyuk: tspicker@yahoo.com
//Submitted to JavaScript Kit (http://javascriptkit.com)
//Visit http://javascriptkit.com for this script
</script>

</head>

<body background="sfc_map.png">

<?php

include 'functions.php';
include 'local/global.php';

$conn = pg_Connect( "user=web dbname=wxn" );
if(!$conn)
  print("<p><b>Unable to connect to database</b></p>");
else
{
    $gmt = gmdate ( "Y-m-d H:i:s" );
    $sorry = "Sorry, there are no stations currently available!";
    $count = 0;
    if( !isset( $interval ) )
    {
        $interval = 1;
    }
    if( !isset( $radius ) )
    {
        $radius = 0;    // max
    }

    print( "<div align=\"center\">\n" );

    $sql = "SELECT count(*) FROM nodes WHERE age('$gmt',dtg_zulu) < interval '".$interval." hours'";
    $result_set = pg_Exec( $conn, $sql );
    if( pg_numrows( $result_set ) )
        $rows = pg_result( $result_set, 0, 0 );
    else
        $rows = 1;
    print( "<table border=\"1\" bgcolor=\"#FFFFFF\">\n" );
    print( "<tr><td colspan=\"3\" align=\"center\">\n" );
    print( "<font size=\"5\"><b>Reporting Stations Summary</b></font><br>\n" );
    print( "There are <b>".$rows."</b> stations reporting</center>\n" );
    print( "</td></tr>\n" );
    print( "<tr><td>\n" );
    print( "<form method=\"GET\" action=\"away-stats.php\">\n" );        
    print( "&nbsp;Radius/Miles:&nbsp<select name=\"radius\" size=\"1\">\n" );
    if( $radius == 0 )
    {
        print( "<option value=\"0\" >[max]</option>\n" );
    }
    else
    {
        print( "<option value=\"".$radius."\" >".$radius."</option>\n" );
        print( "<option value=\"0\" >[max]</option>\n" );
    }
    print( "<option value=\"10\" >10</option>\n" );
    print( "<option value=\"20\" >20</option>\n" );
    print( "<option value=\"30\" >30</option>\n" );
    print( "<option value=\"40\" >40</option>\n" );
    print( "<option value=\"50\" >50</option>\n" );
    print( "<option value=\"100\" >100</option>\n" );
    print( "<option value=\"200\" >200</option>\n" );
    print( "<option value=\"300\" >300</option>\n" );
    print( "<option value=\"500\" >500</option>\n" );    
    print( "</select>&nbsp;</td>\n" );
    print( "<td>&nbsp;Age/Hours:&nbsp<select name=\"interval\" size=\"1\">\n" );
    print( "<option value=\"".$interval."\">".$interval."</option>\n" );
    print( "<option value=\"1\">1</option>\n" );
    print( "<option value=\"2\">2</option>\n" );
    print( "<option value=\"6\">6</option>\n" );
    print( "<option value=\"12\">12</option>\n" );
    print( "<option value=\"24\">24</option>\n" );
    print( "</select>&nbsp;</td>\n" );
    print( "<td>&nbsp;<input type=\"submit\" value=\" Display \">&nbsp;</td></form>\n" );
    print( "</tr></table>\n" );
    
    print( "<br>" );
    
    $sql = "SELECT latitude,longitude FROM nodes WHERE call_ssid='$home'";
    $result_set = pg_Exec( $conn, $sql );
    if( pg_numrows( $result_set ) )
    {
        $ALat = pg_result( $result_set, 0, 'latitude' );
        $ALong = pg_result( $result_set, 0, 'longitude' );

        $sql = "SELECT age('".$gmt."',dtg_zulu),tcr,wac_spd,wac_dir,wgc_spd,bcr,hcr,pca,pri,ecc,ehc,edc,city,state,latitude,longitude,call_ssid FROM nodes WHERE age('".$gmt."',dtg_zulu) < interval '".$interval." hours' order by city";
        $result_set = pg_Exec( $conn, $sql );
        $rows = pg_numrows( $result_set );
        if( $rows > 0 )
        {
            print( "<table border=\"1\" width=\"95%\" bgcolor=\"#FFFFFF\">\n");
            print( "<tr>\n" );
            print( "<td width=\"10%\" align=\"center\" bgcolor=\"#E0E0E0\">Temp&nbsp;&deg;F</td>\n" );
            print( "<td width=\"15%\" align=\"center\" bgcolor=\"#E0E0E0\">Wind<br>MPH</td>\n" );
            print( "<td width=\"10%\" align=\"center\" bgcolor=\"#E0E0E0\">Gust<br>MPH</td>\n" );
            print( "<td width=\"15%\" align=\"center\" bgcolor=\"#E0E0E0\">Barometric<br>Pressure</td>\n" );
            print( "<td width=\"15%\" align=\"center\" bgcolor=\"#E0E0E0\">Relative<br>Humidity</td>\n" );
            print( "<td width=\"15%\" align=\"center\" bgcolor=\"#E0E0E0\">Precip</td>\n" );
            print( "<td width=\"20%\" align=\"center\" bgcolor=\"#E0E0E0\">EMP<br>5m/60m/Day</td>\n" );
            print( "</tr>\n" );
            
            // most recent will be last in the list
            for( $i=0; $i<$rows; $i++ )
            {                             
                $BLat = pg_result( $result_set, $i, 'latitude' );
                $BLong = pg_result( $result_set, $i, 'longitude' );
                list( $where, $distance ) = CalcAzDist( $ALat, $ALong, $BLat, $BLong );
                if( $radius == 0 || $distance < $radius )
                {
                    $count++;
                    
                    $city = pg_result( $result_set, $i, 'city' );
                    $state = pg_result( $result_set, $i, 'state' );
                    $callssid = pg_result( $result_set, $i,'call_ssid');
                    $v1 = pg_result( $result_set, $i, 'tcr' );
                    $v2 = pg_result( $result_set, $i, 'wac_spd' );
                    $v3 = direction( pg_result( $result_set, $i, 'wac_dir' ) );
                    $v4 = pg_result( $result_set, $i, 'wgc_spd' );
                    $v5 = pg_result( $result_set, $i, 'bcr' );
                    $v5a = $v5 / 338.653;
                    $v6 = pg_result( $result_set, $i, 'hcr' );
                    $v7 = pg_result( $result_set, $i, 'pca' ) / 100.00;
                    $v8 = pg_result( $result_set, $i, 'pri' );
                    $v9 = pg_result( $result_set, $i, 'ecc' );
                    $v10 = pg_result( $result_set, $i, 'ehc' );
                    $v11 = pg_result( $result_set, $i, 'edc' );
                    if( !isset($v11) )
                    {
                        $v9=" - ";
                        $v10=" - ";
                        $v11=" - ";
                    }
                    
                    $age = pg_result( $result_set, $i, 0 );
                    
                    $qrzcall = substr( $callssid, 0, strpos($callssid, "-") );
                                        
                    print("<tr>\n");
                    if( strstr($city, "unknown>") )
                        print("<td width=\"35%\" bgcolor=\"#FFFF00\" colspan=\"3\"><center><em>*Unknown Location*</em></center></td>\n" );
                    else                  
                        print("<td width=\"35%\" bgcolor=\"#FFFF00\" colspan=\"3\"><b>&nbsp;".$city.", ".$state."</b></td>\n");
                    print("<td width=\"30%\" bgcolor=\"#FFFF00\" colspan=\"2\">&nbsp;".$where."</td>\n");
                    print("<td width=\"15%\" align=\"center\" bgcolor=\"#FFFF00\">Source<br><a href=\"http://www.qrz.com/detail/".$qrzcall."\">".$callssid."</a></td>\n");
                    print("<td width=\"20%\" align=\"center\"bgcolor=\"#FFFF00\">Age (hh:mm:ss)<br>".$age."</td>\n");
                    print("</tr>\n");
                    
                    print( "<tr>\n" );
                    print( "<td width=\"10%\" align=\"center\" bgcolor=\"#C0C0C0\"><font color=\"".tcolor($v1)."\">".$v1."</font>&deg;</td>\n" );
                    print( "<td width=\"15%\" align=\"center\" bgcolor=\"#C0C0C0\">".$v3."@<font color=\"".wcolor($v2)."\">".$v2."</font></td>\n" );
                    print( "<td width=\"10%\" align=\"center\" bgcolor=\"#C0C0C0\"><font color=\"".wcolor($v4)."\">".$v4."</font></td>\n" );
                    print( "<td width=\"15%\" align=\"center\" bgcolor=\"#C0C0C0\">".number_format($v5a,2)."\"<br>(".($v5/10.0)."mb)</font></td>\n" );
                    print( "<td width=\"15%\" align=\"center\" bgcolor=\"#C0C0C0\"><font color=\"".hcolor($v6)."\">".$v6."</font>%</td>\n" );
                    print( "<td width=\"15%\" align=\"center\" bgcolor=\"#C0C0C0\"><font color=\"".pcolor($v7)."\">".number_format($v7,2)."</font>\"</td>\n" );
                    print( "<td width=\"20%\" bgcolor=\"#C0C0C0\"><p align=\"center\">\n");
                    print( "<font color=\"".ecolor($v9)."\">".$v9."</font>&nbsp;/&nbsp;<font color=\"".ecolor($v10)."\">".$v10."</font>&nbsp;/&nbsp;<font color=\"".ecolor($v11)."\">".$v11."</font></td>\n" );
                    print( "</tr>\n" );
                    
                }
            }
            
            print("</table>\n");
            
            if( $count == 0 )
                print("<p><em>".$sorry."</em></p>");
        }
        else
            print("<p><em>".$sorry."</em></p>\n");
        
    }
}

?>

</body>
</html>

