<html>

<head>
<title>Query Data</title>
</head>

<body bgcolor="#A0A0A0" link="#000000">

<div align="center">

<?php

    include 'local/global.php';

    if( !isset( $max_rows ) )
    {
        $max_rows = 10;
    }
    else
    {   // sanity check so we don't do something stupid
        if( $max_rows > 100 )
            $max_rows = 100;
    }

    if( isset( $tname ) )
    {
        switch( $tname )
        {
            case 'g':
                $title = "Geographic";
                $table = "gdb";
                $callback = "qgdb";
                break;

            case 'n':
                $title = "Nodes";
                $table = "nodes";
                $callback = "qnodes";
                break;

            case 'h':
                $title = "Hourly";
                $table = "hourly";
                $callback = "qhourly";
                break;

            case 'd':
                $title = "Daily Summary";
                $table = "daily";
                $callback = "qdaily";
                break;

            case 'm':
                $title = "Monthly Summary";
                $table = "monthly";
                $callback = "qmonthly";
                break;

            case 'a':
                $title = "Alarm";
                $table = "alarm";
                $callback = "qalarm";
                break;

            case 'r':
                $title = "Packet Receive Times";
                $table = "rcvtimes";
                $callback = "qrcvtimes";
                break;

            default:
                break;
        }


        print( "<p><font size=5><b>Query Results</b></font><br>".$title." Data</p>\n" );

        $conn = pg_connect( "user=web dbname=wxn" );
        if( !$conn )
        {
            print( "<p><b>Unable to connect to database</b></p>\n" );
        }
        else
        {
            if( !isset( $skip ) )
            {
                $skip = 0;
                $records = 0;
                if( strstr( $select, "DISTINCT" ) == NULL )
                {
                    $sql = "SELECT count(*) FROM ".$table;
                    if( isset( $where ) )
                    {
                        $sql .= " WHERE ".stripslashes($where);
                    }
                    $result_set = pg_query( $conn, $sql );
                    if( $result_set )
                    {
                        $records = pg_result( $result_set, 0, 0 );
                    }
                }
            }

            $sql = "SELECT ".$select." FROM ".$table;
            if( isset( $where ) )
            {
                $sql .= " WHERE ".stripslashes( $where );
            }
            if( isset( $order ) )
            {
                $sql .= " ORDER BY ".$order;
            }
            $sql .= " LIMIT ".$max_rows." OFFSET ".$skip.";";
            if( isset( $showq ) )
            {
                print( "<p>".$sql."</p>\n" );
            }
            $result_set = pg_query( $conn, $sql );
            if( $result_set )
            {
                $rows = pg_num_rows( $result_set );
                if( $rows > 0 )
                {
                    $cols = pg_num_fields( $result_set );
                    if( $records > 0 )
                    {
                        if( $records > 1 )
                        {
                            print( "<p><em>There are <b>".$records."</b> records that satisfy the search criteria.</em></p>\n" );
                        }
                        else
                        {
                            print( "<p><em>There is <b>".$records."</b> record that satisfies the search criteria.</em></p>\n" );
                        }
                    }
                    else
                    {
                        print( "<p><em>Record count not available when suppressing duplicates.</em></p>\n" );
                    }

                    print( "<p><em>Click on a field name to see the description.</em></p>\n" );

                    print( "<table border=\"1\" width=\"90%\">\n" );
                    print( "<tr>\n" );
                    print( "<td width=\"5%\" bgcolor=\"#FFFF00\"><b><center>#</center></b></td>\n" );

                    for( $i=0; $i<$cols; $i++ )
                    {
                        $val = pg_field_name( $result_set, $i );
                        print( "<td bgcolor=\"#FFFF00\"><a href=\"qfields.php?tname=".$tname."#".$val."\" target=\"frame2\" style=\"text-decoration:none\"><b>".$val."</b></a></td>\n" );
                    }
                    print( "</tr>\n" );

                    // print out rows up to $max_rows
                    for( $i=0; $i<$rows; $i++ )
                    {
                        $recno = $skip + $i + 1;
                        print( "<tr>" );
                        print( "<td bgcolor=\"#FFFFFF\"><p align=\"center\">$recno</td>\n" );
                        for( $j=0; $j<$cols; $j++ )
                        {
                            $val = pg_result( $result_set, $i, $j );
                            print( "<td bgcolor=\"#FFFFFF\">".trim( $val )."</td>" );
                        }
                        print( "</tr>\n" );
                    }
                    print( "</table>\n" );

                    pg_close( $conn );

                    if( $skip >= $max_rows )
                    {
                        $prev = $skip - $max_rows;
                    }
                    else
                    {
                        $prev = $skip;
                    }

                    if( $rows == $max_rows )
                    {
                        if( isset( $records ) )
                        {
                            if( $records > ($skip + $max_rows) )
                            {
                                $next = $skip + $max_rows;
                            }
                            else
                            {
                                $next = $skip;
                            }
                        }
                        else
                        {
                            $next = $skip;
                        }
                    }
                    else
                    {
                        $next = $skip;
                    }

                    print( "<br>\n" );

                    print( "<table border=\"0\"><tr>\n" );

                    print( "<td><form name=\"prev\" action=\"doquery.php\">\n" );
                    print( "<input type=\"submit\" value=\"<< Prev \">\n" );
                    print( "<input type=\"hidden\" value=\"".$tname."\" name=\"tname\">\n" );
                    print( "<input type=\"hidden\" value=\"".$select."\" name=\"select\">\n" );
                    print( "<input type=\"hidden\" value=\"".stripslashes($where)."\" name=\"where\">\n" );
                    if( isset( $order ) )
                    {
                        print( "<input type=\"hidden\" value=\"".$order."\" name=\"order\">\n" );
                    }
                    print( "<input type=\"hidden\" value=\"".$records."\" name=\"records\">\n" );
                    print( "<input type=\"hidden\" value=\"".$prev."\" name=\"skip\">\n" );
                    print( "</form></td>\n" );

                    print( "<td>&nbsp;&nbsp;&nbsp;</td>\n" );
 
                    print( "<td><form name=\"next\" action=\"doquery.php\">\n" );
                    print( "<input type=\"submit\" value=\" Next >>\">\n" );
                    print( "<input type=\"hidden\" value=\"".$tname."\" name=\"tname\">\n" );
                    print( "<input type=\"hidden\" value=\"".$select."\" name=\"select\">\n" );
                    print( "<input type=\"hidden\" value=\"".stripslashes($where)."\" name=\"where\">\n" );
                    if( isset( $order ) )
                    {
                        print( "<input type=\"hidden\" value=\"".$order."\" name=\"order\">\n" );
                    }
                    print( "<input type=\"hidden\" value=\"".$records."\" name=\"records\">\n" );
                    print( "<input type=\"hidden\" value=\"".$next."\" name=\"skip\">\n" );
                    print( "</form></td>\n" );

                    print( "</tr></table>\n" );
                }
                else
                {
                    print( "<p><em>There are no records that match your search criteria.<br>\n" );
                    print( "Did you observe capitalization rules? Check the raw query below.</em></p>\n" );
                    print( "<p>".$sql."</p>\n" );
                }

            }
            else
            {
                print( "<center><p><em>Error processing query or accessing database</em></p></center>\n" );
            }

            print( "<br>\n" );
            print( "<form name=\"query\" action=\"".$callback.".html\">\n" );
            print( "<input type=\"submit\" value=\"Perform Another Query\">\n" );
            print( "</form>\n" );

        }
    }
    else
    {
        print( "<p><em>Page called with incorrrect arguments!</em></p>\n" );
    }

?>

</body>
</html>

