<?php

///////////////////////////////////////////////////////////////////////////////
// HeatIndex - return heat index from temperature and relative humidity
//

function HeatIndex( $tcr, $hcr )

{

    $dTemp2 = $tcr * $tcr;
    $dTemp3 = $dTemp2 * $tcr;

    $dRH2 = $hcr * $hcr;
    $dRH3 = $dRH2 * $hcr;

    $dHeatIndex = 16.923 + 0.185212 * $tcr + 5.37941 * $hcr - 0.100354 * $tcr *
        $hcr + 0.941695e-2 * $dTemp2 + 0.728898e-2 * $dRH2 + 0.345372e-3 * $dTemp2 * $hcr -
        0.81497e-3 * $tcr * $dRH2 + 0.102102e-4 * $dTemp2 * $dRH2 - 0.38646e-4 * $dTemp3 + 0.291583e-4 *
        $dRH3 + 0.142721e-5 * $dTemp3 * $hcr + 0.197483e-6 * $tcr * $dRH3 - 0.218429e-7 *
        $dTemp3 * $dRH2 + 0.843296e-9 * $dTemp2 * $dRH3 - 0.481975e-10 * $dTemp3 * $dRH3;

    return $dHeatIndex;

}

?>
