<?php

// nodes-fields.php

$fields = array (

    "call_ssid",
    "The callsign-SSID of the station from where the data was sent in the APRS network.",

    "alias",
    "An alias for the 'call_ssid' station. This field is also used as an identifier by ".
        "the query daemon for APRS and can be used in lieu of the station call-ssid.",

    "age",
    "Age is not actually a field, but a function within the database server that enables ".
        "lookups based on how old the data is.",

    "city",
    "The locale.",

    "county",
    "They county in which the locale resides. Entries are title case and are case-sensitive.",

    "state",
    "The standard two-letter state code. Upper-case.",

    "fips",
    "The five digit FIPS code for this locale. The first two digits indicate the state while ".
        "the last three designate the county.",

    "afos",
    "A three letter code designating the NWS office that is services this locale. ".
        "AFOS stands for <em>Automation of Field Operations and Services</em>. This is an ".
        "older term that describes the computer systems that the NWS used at offices ".
        "to gather weather data. It has been replaced by AWIPS (<em>Advanced Weather Interactive ".
        "Processing System</em>).",

    "latitude",
    "The latitude of the locale in decimal degrees (e.g., 23&deg; 30' = 23.5&deg;)",

    "longitude",
    "The longitude for the locale in decimal degrees (e.g., 70&deg; 30' = 70.5&deg;). Note ".
        " that west of the prime meridian is positive, not negative.",

    "timezone",
    "The timezone of this locale. This number, expressed in hours, when added to the local ".
        "time gives UTC time.",

    "elevation",
    "The elevation of the locale in feet ASL (Above Sea Level)",

    "haat",
    "Height above average terrain for the anemometer (wind speed sensor)",

    "aprs_soft",
    "Type of APRS software used by the station.<br>1 = WXN<br>2 = Generic APRS<br>3 = DOS APRS<br>".
        "4 = Mac APRS<br>5 = Pocket APRS<br>6 = APRS-SA<br>7 = Win APRS<br>8 = XAstir<br>".
        "9 = APRS Point<br>-1 = <em>undefined</em>",

    "stn_type",
    "The type of weather station used.<br>1 = Heath ID-5001<br>2 = Peet Ultimeter II<br>".
        "3 = Peet Ultimeter 2000 family<br>4 = Davis Monitor II Family<br>5 = Davis Vantage Pro<br>".
        "6 = Oregon Sci WM918/RS WX200<br>7 = PIC<br>-1 = <em>undefined</em>",

    "dst",
    "Daylight Savings Time (DST) flag. True ('t') if the locale observes DST, false ('f') ".
        "if not.",

    "dtg_local",
    "The local date/time of the last reading taken.",

    "dtg_zulu",
    "The UTC date/time of the last reading taken.",

    "tcr",
    "Current temperature in degrees Fahrenheit.",

    "thr_val",
    "High temperature since midnight.",

    "thr_dtg",
    "Date/time of high temperature.",

    "tlr_val",
    "Low temperature since midnight.",

    "tlr_dtg",
    "Date/time of low temperature.",

    "trh",
    "Temperature rate of change in the last hour.",

    "trd",
    "Temperature rate of change for the last 24 hours.",

    "tyh",
    "Yesterday's high temperature.",

    "tyl",
    "Yesterday's low temperature.",

    "tsd",
    "Soil temperature at 6\" (tsd) and 8\" (tsd2) depths.",

    "wca",
    "Wind chill based on average wind velocity for last five minutes.",

    "wcg",
    "Wind chill based on high wind gust velocity for last five minutes.",

    "cool_days",
    "Cooling degree days yesterday.",

    "heat_days",
    "Heating degree days yesterday.",

    "wac_dir",
    "Direction of average wind for the last five minutes. Expressed in degrees.",

    "wac_spd",
    "Average wind speed for last five minutes",

    "wgc_dir",
    "Direction of gust wind for the last five minutes. Expressed in degrees. ".
        "If this value reads '-1', it was received from a non-WXN node (native APRS ".
        "does not support gust direction).",

    "wgc_spd",
    "Highest gust wind speed recorded in the last five minutes",

    "wah_dir",
    "Direction of highest wind average recorded since midnight. Expressed in degrees. ",

    "wah_spd",
    "Highest average speed recorded since midnight",

    "wah_dtg",
    "Date/time of highest wind average.",

    "wal_dir",
    "Direction of lowest wind average recorded since midnight. Expressed in degrees. ",

    "wal_spd",
    "Lowest average speed recorded since midnight",

    "wal_dtg",
    "Date/time of lowest wind average.",

    "wgh_dir",
    "Direction of highest wind gust recorded since midnight. Expressed in degrees. ",

    "wgh_spd",
    "Highest gust speed recorded since midnight",

    "wgh_dtg",
    "Date/time of highest wind gust.",

    "pca",
    "Current precipitation total in hundredths of an inch since midnight. (e.g., 100 = 1.00\")",

    "pri",
    "Instantaneous hourly precipitation rate. Based on the amount of rain fallen in the last five minutes. ".
        "Recorded in hundreths of an inch (e.g., 100 = 1.00\")",

    "prh",
    "Hourly rate of precipitation in hundredths of an inch (e.g., 100 = 1.00\"). Based on amount ".
        "fallen in last 60 minutes.",

    "plh",
    "Taken at the top of each hour, is the amount of precipitation in hundredths of an inch that has ".
        "fallen since the last hourly reading was taken. (e.g., 100 = 1.00\")",

    "p24",
    "Amount of precipitation recorded in the last 24 hours (note: not midnight based, true 24 hours) ".
        "(e.g., 100 = 1.00\")",

    "pty",
    "Amount of precipitation that fell yesterday. Recorded in hundredths of an inch (e.g., 100 = 1.00\").",

    "ptm",
    "Precipitation total for the current month. Recorded in hundredths of an inch (e.g., 100 = 1.00\").",

    "pta",
    "Precipitation total for the current year. Recorded in hundredths of an inch (e.g., 100 = 1.00\").",

    "bcr",
    "Current barometric pressure reading in tenths of a millibar (e.g., 10153 = 1015.3mb). Divide by ".
        "338.8653 to convert to inches of Mercury,",

    "bhr_val",
    "Highest barometric pressure recorded since midnight in tenths of a millibar (e.g., 10153 = 1015.3mb). Divide by ".
        "338.8653 to convert to inches of Mercury,",

    "bhr_dtg",
    "Date/time of highest barometric reading taken since midnight.",

    "blr_val",
    "Lowest barometric pressure recorded since midnight in tenths of a millibar (e.g., 10153 = 1015.3mb). Divide by ".
        "338.8653 to convert to inches of Mercury,",

    "blr_dtg",
    "Date/time of lowest barometric reading taken since midnight.",

    "brh",
    "Pressure rate of change in tenths of a millibar in the last hour (e.g., 10153 = 1015.3mb). Divide by ".
        "338.8653 to convert to inches of Mercury,",

    "brd",
    "Pressure rate of change in tenths of a millibar for the last 24 hours (e.g., 10153 = 1015.3mb). Divide by ".
        "338.8653 to convert to inches of Mercury,",

    "hcr",
    "Current humdity readings in percent.",

    "hhr_val",
    "Highest humidity reading since midnight.",

    "hhr_dtg",
    "Date/time of highest humidity reading since midnight.",

    "hlr_val",
    "Lowest humidity readings since midnight.",

    "hlr_dtg",
    "Date/time of lowest humidity reading since midnight.",

    "hrh",
    "Hourly rate of change for humidity ",

    "hrd",
    "The 24 hour rate of change for humidity",

    "fog",
    "True ('t') if conditions are favorable for fog, otherise false ('f'). Conditions if the humiidty is ".
        "greater than 90% and the wind velocity is at or under 3 MPH",

    "heatindex",
    "The heat index in degrees Fahrenheit. Based on current temperature and humdity readings.",

    "dewpoint",
    "The current dewpoint in degrees Fahrenheit. Based on current temperature and humdity readings. ".
        "If the current temperature drops to this reading, rain will likely occur.",

    "ist",
    "The current inside temperature in degrees Fahrenheit (if supported).",

    "ish",
    "The current inside humidity in percent (if supported).",

    "ecc",
    "Five minute Electro Magnetic Pulse (lightning) count.",

    "eqc",
    "Fifiteen minute Electro Magnetic Pulse (lightning) count.",

    "exc",
    "Thirty minute Electro Magnetic Pulse (lightning) count.",

    "ehc",
    "Sixty minute Electro Magnetic Pulse (lightning) count.",

    "edc",
    "Total Electro Magnetic Pulse (lightning) count since midnight.",

    "rca",
    "Current background radiation count averaged over the last five minutes in micro-roentgens.",

    "rha",
    "Current background radiation count averaged over the last sixty minutes in micro-roentgens.",

    "rda",
    "Current background radiation count averaged for the day (since midnight) in micro-roentgens.",

    "rmax",
    "Maximum radiation count in micro-roentgens since midnight.",

    "ralarm_count",
    "Number of background radiation alarm trips since midnight.",

    "ralarm_trip",
    "Trip-point value for radiation alarm. When the five minute average exceeds this number, a data ".
        "alarm is tripped.",

    "sunrise",
    "The time of local sunrise",

    "sunset",
    "The time of local sunset",

    "alert",
    "True if NWS watch/warning in effect, false otherwise. Server must be running SAMED service."
    );

?>

