/***************************************************************************
 *   Copyright (C) 2005 by John Bennett   *
 *   n4xi@arrl.net   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

//
// logmsg.h  -  post log message facility
//

#ifndef _LOGMSG_H_
#define _LOGMSG_H_

#ifndef BOOL
    typedef int BOOL;
#endif

/////////////////////////////////////////////////////////////////////
// The following are indices into the table that contains the text
// error message found in 'logmsg.cpp'. Be *very* careful if you
// modify this section. There must be a corresponding entry in the
// message table that matches the indexed position exactly.
//

enum err_codes {

    // common start/stop messages

    /*000*/     MSG_DEBUG,

    /*001*/     MSG_DAEMON_START_FAIL,
    /*002*/     MSG_DAEMON_STOP,

    /*003*/     MSG_WXNCOMMON_CONF_FAIL,

    /*004*/     MSG_ATTEMPT_STARTUP,
    /*005*/     MSG_STARTUP_OK,
    /*006*/     MSG_STARTUP_FAIL,

    /*007*/     MSG_INIT_BEGIN,
    /*008*/     MSG_INIT_FAIL,
    /*009*/     MSG_INIT_COMPLETE,

    /*010*/     MSG_THREAD_START_FAIL,

    // wxnhostd

    /*100*/     HOSTMSG_WXNHOSTD_CONF_FAIL,
    /*101*/     HOSTMSG_LOAD_CREATE_LOCAL_RECORD,
    /*102*/     HOSTMSG_OPEN_WXSTN_PORT_FAIL,
    /*103*/     HOSTMSG_OPEN_OW_PORT_FAIL,
    /*104*/     HOSTMSG_WXSTN_READ_FAIL,
    /*105*/     HOSTMSG_WXSTN_DATA_NOT_AVAILABLE,
    /*106*/     HOSTMSG_OW_IN_HUMID_READ_FAIL,
    /*107*/     HOSTMSG_OW_OUT_HUMID_READ_FAIL,
    /*108*/     HOSTMSG_WXSTN_NOT_DEFINED,
    /*109*/     HOSTMSG_OWBAROM_INIT_FAIL,
    /*110*/     HOSTMSG_OWHUMID_OUT_INIT_FAIL,
    /*111*/     HOSTMSG_READWXSTN_BUFFER_OVERFLOW,
    /*112*/     HOSTMSG_READWXSTN_TIMEOUT,
    /*113*/     HOSTMSG_OWREADCOUNTER_FAIL,
    /*114*/     HOSTMSG_OWREADTEMP_FAIL,
    /*115*/     HOSTMSG_OWREADBAROM_FAIL,
    /*116*/     HOSTMSG_RESETLINK_FAIL,
    /*117*/     HOSTMSG_READWXSTNBYTES_FAIL,
    /*118*/     HOSTMSG_SENDID5CMD_FAIL,
    /*119*/     HOSTMSG_GETID5DATA_FAIL,
    /*120*/     HOSTMSG_ID5RESTART_FAIL,
    /*121*/     HOSTMSG_OWREADHUMID_FAIL,
    /*122*/     HOSTMSG_CRC_FAIL,
    /*123*/     HOSTMSG_INVALID_PARAM,
    /*124*/     HOSTMSG_DAVP_BLOCKS,
    /*125*/     HOSTMSG_DS2423_FAIL,
    /*126*/     HOSTMSG_DS2405_SN_REQ,
    /*127*/     HOSTMSG_DS18S20_SN_REQ,
    /*128*/     HOSTMSG_DS2438_SN_REQ,
    /*129*/     HOSTMSG_ILLEAGAL_BAUD_RATE,
    /*130*/     HOSTMSG_GETBLOCK_FAIL,
    /*131*/     HOSTMSG_WXPIC_PORT_FAIL,
    /*132*/     HOSTMSG_SOCKET_FAIL,
    /*133*/     HOSTMSG_SOCKET_RCV_FAIL,
    /*134*/     HOSTMSG_READ_ALARM_CONFIG,
    /*135*/     HOSTMSG_EMAIL_ALERT_FAIL,
    /*136*/     HOSTMSG_OUT_TEMP_READ_FAIL,
    /*137*/     HOSTMSG_IN_TEMP_READ_FAIL,
    /*138*/     HOSTMSG_WSPD_READ_FAIL,
    /*139*/     HOSTMSG_WDIR_READ_FAIL,
    /*140*/     HOSTMSG_BAROMETER_READ_FAIL,
    /*141*/     HOSTMSG_PRECIP_READ_FAIL,
    /*142*/     HOSTMSG_OUT_HUMIDITY_READ_FAIL,
    /*143*/     HOSTMSG_IN_HUMIDITY_READ_FAIL,
    /*144*/     HOSTMSG_WXSTN_CRC_FAIL,

    // wxnaprd

    /*200*/     APRMSG_WXNAPRD_CONF_FAIL,
    /*201*/     APRMSG_QRZ_INIT_FAIL,
    /*202*/     APRMSG_BEACON_DATA_READ_FAIL,
    /*203*/     APRMSG_INVALID_RXDATA,
    /*204*/     APRMSG_ZONE_INFO_ERROR,
    /*205*/     APRMSG_WRITEBASE_ERROR,
    /*206*/     APRMSG_WRITECALC_ERROR,
    /*207*/     APRMSG_FIPS_LOOKUP_ERROR,
    /*208*/     APRMSG_RXDATA_FAIL_UNKNOWN,
    /*209*/     APRMSG_NODES_UPDATE_FAIL,
    /*210*/     APRMSG_GETGEODATA_FAIL,
    /*211*/     APRMSG_DENY_REINIT,
    /*212*/     APRMSG_TX_STRING_OVERFLOW,
    /*213*/     APRMSG_AX25_SOCK_SETUP_ERR,
    /*214*/     APRMSG_AX25_SOCK_SENDTO_ERR,
    /*215*/     APRMSG_AX25_SOCK_RCVFRM_ERR,
    /*216*/     APRMSG_CREATE_RECORD_FAIL,
    /*217*/     APRMSG_QRZ_SETINDEX_FAIL,
    /*218*/     APRMSG_DENY_INIT_FAIL,
    /*219*/     APRMSG_ACCESS_DENIED,

    // wxnqueryd

    /*300*/     QRYMSG_WXNQUERYD_CONF_FAIL,
    /*301*/     QRYMSG_AX25_SOCK_SETUP_ERR,
    /*302*/     QRYMSG_AX25_SOCK_SENDTO_ERR,
    /*303*/     QRYMSG_AX25_SOCK_RCVFRM_ERR,
    /*304*/     QRYMSG_RECORD_CREATE_FAIL,

    // wxnsamed messages

    /*400*/     SAMEMSG_WXNSAMED_CONF_FAIL,
    /*401*/     SAMEMSG_SAMERX_OPEN_FAIL,
    /*402*/

};

class logmsg {

    public:
        logmsg();
        ~logmsg( );

        void init( char * sLogFile, BOOL bVerbose );
        char * dir( void );
        void PostMsg( int nMsg, const char * szMsg );

    private:
        char m_sLogFile[128];
        BOOL m_bVerbose;

};

// make instance of error logging class available to caller
#ifndef g_log
    extern logmsg g_log;
#endif


#endif      // _LOGMSG_H_

