/***************************************************************************
 *   Copyright (C) 2005 by John Bennett                                    *
 *   n4xi@arrl.net                                                         *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

//
// morph.cpp - abreviation to full translation
//

#define _MORPH_CPP_

#include <string.h>

#ifndef BOOL
    typedef int BOOL;
#endif

#ifndef TRUE
    #define TRUE 1
    #define FALSE 0
#endif

#include "morph.h"

static char szMount[] = "Mount";
static char szSaint[] = "Saint";
static char szFort[] = "Fort";
static char szNorth[] = "North";
static char szSouth[] = "South";
static char szEast[] = "East";
static char szWest[] = "West";

/////////////////////////////////////////////////////////////////////////////
// Morph - if "mt", "mt.", "st", "st.", etc. is present in string,
// "Mount", "Saint", etc. is substituted as appropriate.
//

void Morph( char * szString )
{
    char *pS;
    char *pN;
    char *pW;
    char szWord[32];
    char szNew[128];
    BOOL bNew;

    bNew = FALSE;
    pS = szString;
    pN = szNew;
    pW = szWord;

    *pN = 0;

    // skip leading spaces
    while( *pS == ' ' )
        pS++;

    while( *pS )
    {
        // copy word
        while( (*pS != ' ') && *pS )
            *pW++ = *pS++;
        *pW = 0;

        // compare and copy
        if( (strcasecmp( szWord, "mt" ) == 0) || (strcasecmp( szWord, "mt." ) == 0) )
        {
            strcat( szNew, szMount );
            pN += sizeof(szMount) - 1;
            bNew = TRUE;
        }
        else if( (strcasecmp( szWord, "st" ) == 0) || (strcasecmp( szWord, "st." ) == 0) )
        {
            strcat( szNew, szSaint );
            pN += sizeof(szSaint) - 1;
            bNew = TRUE;
        }
        else if( (strcasecmp( szWord, "ft" ) == 0) || (strcasecmp( szWord, "ft." ) == 0) )
        {
            strcat( szNew, szFort );
            pN += sizeof(szFort) - 1;
            bNew = TRUE;
        }
        else if( (strcasecmp( szWord, "n" ) == 0) || (strcasecmp( szWord, "n." ) == 0) )
        {
            strcat( szNew, szNorth );
            pN += sizeof(szNorth) - 1;
            bNew = TRUE;
        }
        else if( (strcasecmp( szWord, "s" ) == 0) || (strcasecmp( szWord, "s." ) == 0) )
        {
            strcat( szNew, szSouth );
            pN += sizeof(szSouth) - 1;
            bNew = TRUE;
        }
        else if( (strcasecmp( szWord, "e" ) == 0) || (strcasecmp( szWord, "e." ) == 0) )
        {
            strcat( szNew, szEast );
            pN += sizeof(szEast) - 1;
            bNew = TRUE;
        }
        else if( (strcasecmp( szWord, "w" ) == 0) || (strcasecmp( szWord, "w." ) == 0) )
        {
            strcat( szNew, szWest );
            pN += sizeof(szWest) - 1;
            bNew = TRUE;
        }
        else
        {
            strcat( szNew, szWord );
            pN += strlen( szWord );
        }

        // copy spaces
        while( *pS == ' ' )
            *pN++ = *pS++;
        *pN = 0;

        // mark beginning of word
        pW = szWord;

    }

    if( bNew )
    {
        *pN = 0;
        strcpy( szString, szNew );
    }

}


