/***************************************************************************
 *   Copyright (C) 2005 by John Bennett   *
 *   n4xi@arrl.net   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef _ALARM_H_
#define _ALARM_H_

#ifndef BOOL
    typedef int BOOL;
#endif

#define WIND_ALARM              0x0001
#define PRECIP_INST_ALARM       0x0002
#define PRECIP_HR_ALARM         0x0004
#define PRECIP_24_ALARM         0x0008
#define EMP_ALARM               0x0010
#define RAD_ALARM               0x0020
#define BAROM_ALARM             0x0040
#define HTEMP_ALARM             0x0080
#define LTEMP_ALARM             0x0100

// default alarm trip points
#define PRI_DEFAULT     100
#define PRH_DEFAULT     100
#define P24_DEFAULT     100
#define WGH_DEFAULT     40
#define WAH_DEFAULT     40
#define THR_DEFAULT     150
#define TLR_DEFAULT     0
#define BLR_DEFAULT     982     // 29.00" (mb = inches Hg * 33.8653)
#define EMP_DEFAULT     400
#define RAD_DEFAULT     27


struct alarm
{
    int nHiWindGust;
    int nHiWindAvg;
    int nInstPrecip;
    int nHourPrecip;
    int n24HrPrecip;
    unsigned nHiEmp;
    int nHiRad;
    int nLoBarom;
    int nHiTemp;
    int nLoTemp;
};

struct alarm_email
{
    BOOL bEnable;
    char sHost[32];
    char sReplyTo[32];
    char sFromAcct[32];
    char sFromName[32];
};

void DataAlarm( void );
void CheckAlarmThread( void );
void ResetAlarms( void );
void ReadAlarmConfig( void );

#endif  // _ALARM_H_

