/***************************************************************************
 *   Copyright (C) 2005 by John Bennett   *
 *   n4xi@arrl.net   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

//
// qserver.h  - query server
//

#ifndef _QSERVER_H_
#define _QSERVER_H_

#include "msgq.h"

#define MSG_TYPE    1
#define ACK_TYPE    2
#define WRU_TYPE    3

#define MSG_MAX_SIZE 85

#ifndef BOOL
    typedef int BOOL;
#endif

struct event_list
{
    int nEventId;
    event_list * pNext;
};


int GetPacket( char * pPkt );
BOOL ParseMsg( char * pPkt, char * pMsg, char * pMID );
void SendAck( char * pFmCall, char * pMID );
void ProcQuery( char * pPkt );
void ProcAck( char * pPkt );
void ProcWRU( void );
void TxResponse( qlist * pNode );
void SetCoordinates( double dLatitude, double dLongitude );
BOOL DataQuery( char * szCmd, char * szResp, char * pCall );
BOOL SameQuery( char * szCmd, char * szResp );


#endif  //  _QSERVER_H_

